This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 580514 - Novatel U760 CDMA USB dongle not found if plugged in at boot time
Novatel U760 CDMA USB dongle not found if plugged in at boot time
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: usb_modeswitch (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: mail@romal.de
Fedora Extras Quality Assurance
:
Depends On: 626378
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-08 09:07 EDT by Michael J. Chudobiak
Modified: 2011-06-27 11:28 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:28:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael J. Chudobiak 2010-04-08 09:07:26 EDT
I have a Novatel U760 CDMA USB wireless internet dongle on the Bell Canada network.

NetworkManager recognizes and activates it fine if I plug the dongle in AFTER I have logged in.

It does not recognize the device if I plug it in before boot (when the netbook is off).

Here are the various workarounds that I have added to make the U760 work:

1. Add this to /usr/share/hal/fdi/information/10freedesktop/10-modem.fdi:
<!-- Bell USB760-->
<match key="@info.parent:usb.vendor_id" int="0x1410">
<match key="@info.parent:usb.product_id" int="0x6000">
<match key="@info.parent:usb.interface.number" int="0">
<append key="info.capabilities" type="strlist">modem</append>
<append key="modem.command_sets" type="strlist">IS-707-A</append>
</match>
</match>
</match>

2. Edit /etc/usb_modeswitch.conf and uncomment the Novatel U760 lines.

3. Edit /etc/udev/rules.d/70-persistent-cd.rules and append the
following to the line that contains "Novatel_Mass_Storage":
RUN+="/usr/bin/usb_modeswitch"

4. Add to /lib/udev/rules.d/77-nm-zzz-custom.rules:
# custom rule
SUBSYSTEMS=="usb", ATTRS{idVendor}=="1410", ATTRS{idProduct}=="6000", ENV{ID_NM_MODEM_IS707_A}="1", ENV{ID_NM_MODEM_IS856_A}="1"
Comment 1 Michael J. Chudobiak 2010-04-08 09:16:19 EDT
Here is the logging info, with the device plugged in at boot time (doesn't work). Note that ttyUSB0 is ultimately closed:

Apr  9 09:04:32 localhost kernel: usb 2-2: new full speed USB device using uhci_hcd and address 3
Apr  8 09:04:32 localhost kernel: usb 2-2: New USB device found, idVendor=1410, idProduct=6000
Apr  8 09:04:32 localhost kernel: usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=4
Apr  8 09:04:32 localhost kernel: usb 2-2: Product: Novatel Wireless CDMA 
Apr  8 09:04:32 localhost kernel: usb 2-2: Manufacturer: Novatel Wireless Inc.
Apr  8 09:04:32 localhost kernel: usb 2-2: SerialNumber: 091128060371000
Apr  8 09:04:32 localhost kernel: scsi5 : usb-storage 2-2:1.4
Apr  8 09:04:32 localhost kernel: ath5k 0000:01:00.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
Apr  8 09:04:32 localhost kernel: ath5k 0000:01:00.0: registered as 'phy0'
Apr  8 09:04:32 localhost kernel: usbcore: registered new interface driver usbserial
Apr  8 09:04:32 localhost kernel: USB Serial support registered for generic
Apr  8 09:04:32 localhost kernel: usbserial_generic 2-2:1.0: generic converter detected
Apr  8 09:04:32 localhost kernel: usb 2-2: generic converter now attached to ttyUSB0
Apr  8 09:04:32 localhost kernel: usbserial_generic 2-2:1.1: generic converter detected
Apr  8 09:04:32 localhost kernel: usb 2-2: generic converter now attached to ttyUSB1
Apr  8 09:04:32 localhost kernel: usbserial_generic 2-2:1.2: generic converter detected
Apr  8 09:04:32 localhost kernel: usb 2-2: generic converter now attached to ttyUSB2
Apr  8 09:04:32 localhost kernel: usbserial_generic 2-2:1.3: generic converter detected
Apr  8 09:04:32 localhost kernel: usb 2-2: generic converter now attached to ttyUSB3
Apr  8 09:04:32 localhost kernel: usbcore: registered new interface driver usbserial_generic
Apr  8 09:04:32 localhost kernel: usbserial: USB Serial Driver core
Apr  8 09:04:32 localhost kernel: USB Serial support registered for GSM modem (1-port)
Apr  8 09:04:32 localhost kernel: usbcore: registered new interface driver option
Apr  8 09:04:32 localhost kernel: option: v0.7.2:USB Driver for GSM modems
... snip ...
Apr  8 09:04:37 localhost NetworkManager: <info>  starting...
Apr  8 09:04:37 localhost NetworkManager: <info>  Trying to start the modem-manager...
Apr  8 09:04:37 localhost NetworkManager: Loaded plugin ifcfg-rh: (c) 2007 - 2008 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
Apr  8 09:04:37 localhost NetworkManager: Loaded plugin keyfile: (c) 2007 - 2008 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
Apr  8 09:04:37 localhost NetworkManager: <info>  Found wlan radio killswitch rfkill1 (at /sys/devices/pci0000:00/0000:00:1c.2/0000:01:00.0/ieee80211/phy0/rfkill1) (driver <unknown>)
Apr  8 09:04:37 localhost NetworkManager: <info>  Found wlan radio killswitch rfkill0 (at /sys/devices/platform/eeepc/rfkill/rfkill0) (driver eeepc)
Apr  8 09:04:37 localhost NetworkManager: <info>  WiFi enabled by radio killswitch; enabled by state file
Apr  8 09:04:37 localhost NetworkManager: <info>  WWAN enabled by radio killswitch; enabled by state file
Apr  8 09:04:37 localhost modem-manager: Loaded plugin AnyData
Apr  8 09:04:37 localhost NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-wlan0 ... 
Apr  8 09:04:37 localhost modem-manager: Loaded plugin Ericsson MBM
Apr  8 09:04:37 localhost modem-manager: Loaded plugin Nokia
Apr  8 09:04:37 localhost NetworkManager:    ifcfg-rh:     error: Missing SSID
Apr  8 09:04:37 localhost NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-eth0 ... 
Apr  8 09:04:37 localhost modem-manager: Loaded plugin Option
Apr  8 09:04:37 localhost modem-manager: Loaded plugin Gobi
Apr  8 09:04:37 localhost modem-manager: Loaded plugin Huawei
Apr  8 09:04:37 localhost modem-manager: Loaded plugin MotoC
Apr  8 09:04:37 localhost modem-manager: Loaded plugin ZTE
Apr  8 09:04:37 localhost modem-manager: Loaded plugin Novatel
Apr  8 09:04:37 localhost modem-manager: Loaded plugin Option High-Speed
Apr  8 09:04:37 localhost modem-manager: Loaded plugin Sierra
Apr  8 09:04:37 localhost modem-manager: Loaded plugin Longcheer
Apr  8 09:04:37 localhost modem-manager: Loaded plugin Generic
Apr  8 09:04:37 localhost NetworkManager:    ifcfg-rh:     read connection 'System eth0'
Apr  8 09:04:37 localhost NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ... 
Apr  8 09:04:37 localhost NetworkManager: <info>  (eth0): carrier is OFF
Apr  8 09:04:37 localhost NetworkManager: <info>  (eth0): new Ethernet device (driver: 'atl2')
Apr  8 09:04:37 localhost NetworkManager: <info>  (eth0): exported as /org/freedesktop/NetworkManager/Devices/0
Apr  8 09:04:37 localhost NetworkManager: <info>  (eth0): now managed
Apr  8 09:04:37 localhost NetworkManager: <info>  (eth0): device state change: 1 -> 2 (reason 2)
Apr  8 09:04:37 localhost NetworkManager: <info>  (eth0): preparing device.
Apr  8 09:04:37 localhost NetworkManager: <info>  (eth0): deactivating device (reason: 2).
Apr  8 09:04:37 localhost NetworkManager: <info>  (wlan0): driver supports SSID scans (scan_capa 0x01).
Apr  8 09:04:37 localhost NetworkManager: <info>  (wlan0): new 802.11 WiFi device (driver: 'ath5k')
Apr  8 09:04:37 localhost NetworkManager: <info>  (wlan0): exported as /org/freedesktop/NetworkManager/Devices/1
Apr  8 09:04:37 localhost NetworkManager: <info>  (wlan0): now managed
Apr  8 09:04:37 localhost NetworkManager: <info>  (wlan0): device state change: 1 -> 2 (reason 2)
Apr  8 09:04:37 localhost NetworkManager: <info>  (wlan0): preparing device.
Apr  8 09:04:37 localhost NetworkManager: <info>  (wlan0): deactivating device (reason: 2).
Apr  8 09:04:37 localhost NetworkManager: supplicant_interface_acquire: assertion `mgr_state == NM_SUPPLICANT_MANAGER_STATE_IDLE' failed
Apr  8 09:04:37 localhost NetworkManager: <WARN>  default_adapter_cb(): bluez error getting default adapter: The name org.bluez was not provided by any .service files
Apr  8 09:04:37 localhost NetworkManager: <info>  modem-manager is now available
Apr  8 09:04:37 localhost NetworkManager: <info>  Trying to start the supplicant...
Apr  8 09:04:38 localhost NetworkManager: <info>  (wlan0): supplicant manager state:  down -> idle
Apr  8 09:04:38 localhost NetworkManager: <info>  (wlan0): device state change: 2 -> 3 (reason 0)
Apr  8 09:04:38 localhost NetworkManager: <info>  (wlan0): supplicant interface state:  starting -> ready
... snip ...
Apr  8 09:04:39 localhost modem-manager: (ttyUSB0) opening serial device...
Apr  8 09:04:39 localhost modem-manager: (ttyUSB1) opening serial device...
Apr  8 09:04:39 localhost modem-manager: (ttyUSB2) opening serial device...
Apr  8 09:04:39 localhost modem-manager: (ttyUSB3) opening serial device...
... snip ...
Apr  8 09:04:52 localhost modem-manager: (ttyUSB0) closing serial device...
Apr  8 09:04:53 localhost modem-manager: (ttyUSB1) closing serial device...
Apr  8 09:04:54 localhost modem-manager: (ttyUSB2) closing serial device...
Apr  8 09:04:55 localhost modem-manager: (ttyUSB3) closing serial device...
Comment 2 Michael J. Chudobiak 2010-04-08 09:17:18 EDT
Here is the log for a post-login device insertion, which works. ttyUSB0 gets activated:

Apr  8 08:33:25 localhost kernel: usb 2-1: new full speed USB device using uhci_hcd and address 2
Apr  8 08:33:25 localhost kernel: usb 2-1: New USB device found, idVendor=1410, idProduct=5030
Apr  8 08:33:25 localhost kernel: usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=4
Apr  8 08:33:25 localhost kernel: usb 2-1: Product: Novatel Wireless CDMA 
Apr  8 08:33:25 localhost kernel: usb 2-1: Manufacturer: Novatel Wireless Inc.
Apr  8 08:33:25 localhost kernel: usb 2-1: SerialNumber: 091128060370000
Apr  8 08:33:25 localhost kernel: scsi3 : usb-storage 2-1:1.0
Apr  8 08:33:25 localhost kernel: scsi4 : usb-storage 2-1:1.1
Apr  8 08:33:30 localhost kernel: scsi 3:0:0:0: CD-ROM            Novatel  Mass Storage     1.00 PQ: 0 ANSI: 2
Apr  8 08:33:30 localhost kernel: scsi 4:0:0:0: Direct-Access     Novatel  MMC Storage      2.31 PQ: 0 ANSI: 2
Apr  8 08:33:30 localhost kernel: sr0: scsi-1 drive
Apr  8 08:33:30 localhost kernel: Uniform CD-ROM driver Revision: 3.20
Apr  8 08:33:30 localhost kernel: sr 3:0:0:0: Attached scsi generic sg2 type 5
Apr  8 08:33:30 localhost kernel: sd 4:0:0:0: Attached scsi generic sg3 type 0
Apr  8 08:33:30 localhost kernel: sd 4:0:0:0: [sdc] Attached SCSI removable disk
Apr  8 08:33:31 localhost kernel: usb 2-1: usbfs: process 3596 (usb_modeswitch) did not claim interface 0 before use
Apr  8 08:33:31 localhost kernel: usb 2-1: USB disconnect, address 2
Apr  8 08:33:32 localhost kernel: usb 2-1: new full speed USB device using uhci_hcd and address 3
Apr  8 08:33:33 localhost kernel: usb 2-1: New USB device found, idVendor=1410, idProduct=6000
Apr  8 08:33:33 localhost kernel: usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=4
Apr  8 08:33:33 localhost kernel: usb 2-1: Product: Novatel Wireless CDMA 
Apr  8 08:33:33 localhost kernel: usb 2-1: Manufacturer: Novatel Wireless Inc.
Apr  8 08:33:33 localhost kernel: usb 2-1: SerialNumber: 091128060371000
Apr  8 08:33:33 localhost kernel: scsi5 : usb-storage 2-1:1.4
Apr  8 08:33:33 localhost kernel: usbcore: registered new interface driver usbserial
Apr  8 08:33:33 localhost kernel: USB Serial support registered for generic
Apr  8 08:33:33 localhost kernel: usbserial_generic 2-1:1.0: generic converter detected
Apr  8 08:33:33 localhost kernel: usb 2-1: generic converter now attached to ttyUSB0
Apr  8 08:33:33 localhost kernel: usbserial_generic 2-1:1.1: generic converter detected
Apr  8 08:33:33 localhost kernel: usb 2-1: generic converter now attached to ttyUSB1
Apr  8 08:33:33 localhost kernel: usbserial_generic 2-1:1.2: generic converter detected
Apr  8 08:33:33 localhost kernel: usb 2-1: generic converter now attached to ttyUSB2
Apr  8 08:33:33 localhost kernel: usbserial_generic 2-1:1.3: generic converter detected
Apr  8 08:33:33 localhost kernel: usb 2-1: generic converter now attached to ttyUSB3
Apr  8 08:33:33 localhost kernel: usbcore: registered new interface driver usbserial_generic
Apr  8 08:33:33 localhost kernel: usbserial: USB Serial Driver core
Apr  8 08:33:33 localhost kernel: USB Serial support registered for GSM modem (1-port)
Apr  8 08:33:33 localhost kernel: usbcore: registered new interface driver option
Apr  8 08:33:33 localhost kernel: option: v0.7.2:USB Driver for GSM modems
Apr  8 08:33:34 localhost modem-manager: (ttyUSB3) opening serial device...
Apr  8 08:33:34 localhost modem-manager: (ttyUSB1) opening serial device...
Apr  8 08:33:34 localhost modem-manager: (ttyUSB0) opening serial device...
Apr  8 08:33:34 localhost modem-manager: (ttyUSB2) opening serial device...
Apr  8 08:33:37 localhost modem-manager: (ttyUSB0) closing serial device...
Apr  8 08:33:37 localhost modem-manager: (Generic): CDMA modem /sys/devices/pci0000:00/0000:00:1d.1/usb2/2-1 claimed port ttyUSB0
Apr  8 08:33:37 localhost NetworkManager: <info>  (ttyUSB0): new CDMA device (driver: 'generic')
Apr  8 08:33:37 localhost NetworkManager: <info>  (ttyUSB0): exported as /org/freedesktop/NetworkManager/Devices/2
Apr  8 08:33:37 localhost NetworkManager: <info>  (ttyUSB0): now managed
Apr  8 08:33:37 localhost NetworkManager: <info>  (ttyUSB0): device state change: 1 -> 2 (reason 2)
Apr  8 08:33:37 localhost NetworkManager: <info>  (ttyUSB0): deactivating device (reason: 2).
Apr  8 08:33:37 localhost NetworkManager: <info>  (ttyUSB0): device state change: 2 -> 3 (reason 0)
Apr  8 08:33:37 localhost NetworkManager: <info>  Activation (ttyUSB0) starting connection 'Bell Wireless CDMA'
Apr  8 08:33:37 localhost NetworkManager: <info>  (ttyUSB0): device state change: 3 -> 4 (reason 0)
Apr  8 08:33:37 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Apr  8 08:33:37 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Apr  8 08:33:37 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Apr  8 08:33:37 localhost modem-manager: (ttyUSB0) opening serial device...
Apr  8 08:33:37 localhost modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
Apr  8 08:33:37 localhost modem-manager: Your CDMA modem does not support +CMEE command
Apr  8 08:33:37 localhost modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
Apr  8 08:33:37 localhost modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> registered)
Apr  8 08:33:37 localhost modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (registered -> connecting)
Apr  8 08:33:38 localhost kernel: scsi 5:0:0:0: Direct-Access     Novatel  MMC Storage      2.31 PQ: 0 ANSI: 2
Apr  8 08:33:38 localhost kernel: sd 5:0:0:0: Attached scsi generic sg2 type 0
Apr  8 08:33:38 localhost kernel: sd 5:0:0:0: [sdc] Attached SCSI removable disk
Apr  8 08:33:41 localhost modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (connecting -> connected)
Apr  8 08:33:41 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 2 of 5 (Device Configure) scheduled...
Apr  8 08:33:41 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 2 of 5 (Device Configure) starting...
Apr  8 08:33:41 localhost NetworkManager: <info>  (ttyUSB0): device state change: 4 -> 5 (reason 0)
Apr  8 08:33:41 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 2 of 5 (Device Configure) successful.
Apr  8 08:33:41 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 3 of 5 (IP Configure Start) scheduled.
Apr  8 08:33:41 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 2 of 5 (Device Configure) complete.
Apr  8 08:33:41 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 3 of 5 (IP Configure Start) started...
Apr  8 08:33:41 localhost NetworkManager: <info>  (ttyUSB0): device state change: 5 -> 7 (reason 0)
Apr  8 08:33:41 localhost NetworkManager: <info>  Starting pppd connection
Apr  8 08:33:41 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 4 of 5 (IP6 Configure Get) scheduled...
Apr  8 08:33:41 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 3 of 5 (IP Configure Start) complete.
Apr  8 08:33:41 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 4 of 5 (IP6 Configure Get) started...
Apr  8 08:33:41 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 4 of 5 (IP6 Configure Get) complete.
Apr  8 08:33:42 localhost pppd[3800]: Warning: can't open options file /root/.ppprc: Permission denied
Apr  8 08:33:42 localhost pppd[3800]: Plugin /usr/lib/pppd/2.4.5/nm-pppd-plugin.so loaded.
Apr  8 08:33:42 localhost kernel: PPP generic driver version 2.4.2
Apr  8 08:33:42 localhost pppd[3800]: pppd 2.4.5 started by root, uid 0
Apr  8 08:33:42 localhost pppd[3800]: Using interface ppp0
Apr  8 08:33:42 localhost pppd[3800]: Connect: ppp0 <--> /dev/ttyUSB0
Apr  8 08:33:42 localhost kernel: PPP Deflate Compression module registered
Apr  8 08:33:42 localhost pppd[3800]: local  IP address 161.216.159.200
Apr  8 08:33:42 localhost pppd[3800]: remote IP address 206.47.201.2
Apr  8 08:33:42 localhost pppd[3800]: primary   DNS address 206.47.201.246
Apr  8 08:33:42 localhost pppd[3800]: secondary DNS address 204.101.237.136
Apr  8 08:33:42 localhost NetworkManager: <info>  PPP manager(IP Config Get) reply received.
Apr  8 08:33:42 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 4 of 5 (IP4 Configure Get) scheduled...
Apr  8 08:33:42 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 4 of 5 (IP4 Configure Get) started...
Apr  8 08:33:42 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 5 of 5 (IP Configure Commit) scheduled...
Apr  8 08:33:42 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 4 of 5 (IP4 Configure Get) complete.
Apr  8 08:33:42 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 5 of 5 (IP Configure Commit) started...
Apr  8 08:33:43 localhost NetworkManager: <info>  (ttyUSB0): device state change: 7 -> 8 (reason 0)
Apr  8 08:33:43 localhost NetworkManager: <info>  Policy set 'Bell Wireless CDMA' (ppp0) as default for routing and DNS.
Apr  8 08:33:43 localhost NetworkManager: <info>  Activation (ttyUSB0) successful, device activated.
Apr  8 08:33:43 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 5 of 5 (IP Configure Commit) complete.
Apr  8 08:33:44 localhost ntpd[1458]: Listening on interface #4 ppp0, 161.216.159.200#123 Enabled
Apr  8 08:33:46 localhost modem-manager: (ttyUSB3) closing serial device...
Apr  8 08:33:47 localhost modem-manager: (ttyUSB1) closing serial device...
Apr  8 08:33:49 localhost modem-manager: (ttyUSB2) closing serial device...
Comment 3 Michael J. Chudobiak 2010-04-08 09:20:20 EDT
[root@tinkerbell ~]# rpm -qa | grep Manager
NetworkManager-pptp-0.7.997-3.git20100120.fc13.i686
NetworkManager-openvpn-0.7.997-1.fc13.i686
NetworkManager-glib-0.8.0-0.4.git20100211.fc13.i686
NetworkManager-vpnc-0.7.997-1.fc13.i686
ModemManager-0.3-2.git20100211.fc13.i686
NetworkManager-gnome-0.8.0-0.4.git20100211.fc13.i686
NetworkManager-0.8.0-0.4.git20100211.fc13.i686
Comment 4 Michael J. Chudobiak 2010-04-08 15:39:30 EDT
Hmm, newer rpms are available. I upgraded, and now nothing works at all. NetworkManager detects the dongle when plugged in after log-in (the icon balls spin), but then it says the network was disconnected. pppd segfaults! Relevant logs:

Apr  8 15:34:32 localhost kernel: usb 2-1: new full speed USB device using uhci_hcd and address 2
Apr  8 15:34:32 localhost kernel: usb 2-1: New USB device found, idVendor=1410, idProduct=5030
Apr  8 15:34:32 localhost kernel: usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=4
Apr  8 15:34:32 localhost kernel: usb 2-1: Product: Novatel Wireless CDMA 
Apr  8 15:34:32 localhost kernel: usb 2-1: Manufacturer: Novatel Wireless Inc.
Apr  8 15:34:32 localhost kernel: usb 2-1: SerialNumber: 091128060370000
Apr  8 15:34:32 localhost kernel: scsi3 : usb-storage 2-1:1.0
Apr  8 15:34:32 localhost kernel: scsi4 : usb-storage 2-1:1.1
Apr  8 15:34:37 localhost kernel: scsi 3:0:0:0: CD-ROM            Novatel  Mass Storage     1.00 PQ: 0 ANSI: 2
Apr  8 15:34:37 localhost kernel: scsi 4:0:0:0: Direct-Access     Novatel  MMC Storage      2.31 PQ: 0 ANSI: 2
Apr  8 15:34:37 localhost kernel: sr0: scsi-1 drive
Apr  8 15:34:37 localhost kernel: Uniform CD-ROM driver Revision: 3.20
Apr  8 15:34:37 localhost kernel: sr 3:0:0:0: Attached scsi generic sg2 type 5
Apr  8 15:34:37 localhost kernel: sd 4:0:0:0: Attached scsi generic sg3 type 0
Apr  8 15:34:37 localhost kernel: sd 4:0:0:0: [sdc] Attached SCSI removable disk
Apr  8 15:34:38 localhost kernel: usb 2-1: usbfs: process 4187 (usb_modeswitch) did not claim interface 0 before use
Apr  8 15:34:38 localhost kernel: usb 2-1: USB disconnect, address 2
Apr  8 15:34:40 localhost kernel: usb 2-1: new full speed USB device using uhci_hcd and address 3
Apr  8 15:34:40 localhost kernel: usb 2-1: New USB device found, idVendor=1410, idProduct=6000
Apr  8 15:34:40 localhost kernel: usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=4
Apr  8 15:34:40 localhost kernel: usb 2-1: Product: Novatel Wireless CDMA 
Apr  8 15:34:40 localhost kernel: usb 2-1: Manufacturer: Novatel Wireless Inc.
Apr  8 15:34:40 localhost kernel: usb 2-1: SerialNumber: 091128060371000
Apr  8 15:34:40 localhost kernel: scsi5 : usb-storage 2-1:1.4
Apr  8 15:34:40 localhost kernel: usbcore: registered new interface driver usbserial
Apr  8 15:34:40 localhost kernel: USB Serial support registered for generic
Apr  8 15:34:40 localhost kernel: usbserial_generic 2-1:1.0: generic converter detected
Apr  8 15:34:40 localhost kernel: usb 2-1: generic converter now attached to ttyUSB0
Apr  8 15:34:40 localhost kernel: usbserial_generic 2-1:1.1: generic converter detected
Apr  8 15:34:40 localhost kernel: usb 2-1: generic converter now attached to ttyUSB1
Apr  8 15:34:40 localhost kernel: usbserial_generic 2-1:1.2: generic converter detected
Apr  8 15:34:40 localhost kernel: usb 2-1: generic converter now attached to ttyUSB2
Apr  8 15:34:40 localhost kernel: usbserial_generic 2-1:1.3: generic converter detected
Apr  8 15:34:40 localhost kernel: usb 2-1: generic converter now attached to ttyUSB3
Apr  8 15:34:40 localhost kernel: usbcore: registered new interface driver usbserial_generic
Apr  8 15:34:40 localhost kernel: usbserial: USB Serial Driver core
Apr  8 15:34:40 localhost kernel: USB Serial support registered for GSM modem (1-port)
Apr  8 15:34:40 localhost kernel: usbcore: registered new interface driver option
Apr  8 15:34:40 localhost kernel: option: v0.7.2:USB Driver for GSM modems
Apr  8 15:34:41 localhost modem-manager: (ttyUSB0) opening serial device...
Apr  8 15:34:41 localhost modem-manager: (ttyUSB1) opening serial device...
Apr  8 15:34:41 localhost modem-manager: (ttyUSB2) opening serial device...
Apr  8 15:34:41 localhost modem-manager: (ttyUSB3) opening serial device...
Apr  8 15:34:44 localhost modem-manager: (ttyUSB0) closing serial device...
Apr  8 15:34:44 localhost modem-manager: (Generic): CDMA modem /sys/devices/pci0000:00/0000:00:1d.1/usb2/2-1 claimed port ttyUSB0
Apr  8 15:34:45 localhost kernel: scsi 5:0:0:0: Direct-Access     Novatel  MMC Storage      2.31 PQ: 0 ANSI: 2
Apr  8 15:34:45 localhost kernel: sd 5:0:0:0: Attached scsi generic sg2 type 0
Apr  8 15:34:45 localhost kernel: sd 5:0:0:0: [sdc] Attached SCSI removable disk
Apr  8 15:34:54 localhost modem-manager: (ttyUSB1) closing serial device...
Apr  8 15:34:54 localhost modem-manager: (ttyUSB1) opening serial device...
Apr  8 15:34:55 localhost modem-manager: (ttyUSB2) closing serial device...
Apr  8 15:34:55 localhost modem-manager: (ttyUSB2) opening serial device...
Apr  8 15:34:56 localhost modem-manager: (ttyUSB3) closing serial device...
Apr  8 15:34:56 localhost modem-manager: (ttyUSB3) opening serial device...
Apr  8 15:34:57 localhost modem-manager: (ttyUSB1) closing serial device...
Apr  8 15:34:57 localhost modem-manager: (Generic): CDMA modem /sys/devices/pci0000:00/0000:00:1d.1/usb2/2-1 claimed port ttyUSB1
Apr  8 15:34:58 localhost modem-manager: (ttyUSB2) closing serial device...
Apr  8 15:34:58 localhost modem-manager: (Generic): CDMA modem /sys/devices/pci0000:00/0000:00:1d.1/usb2/2-1 claimed port ttyUSB2
Apr  8 15:35:02 localhost modem-manager: (ttyUSB3) closing serial device...
Apr  8 15:35:02 localhost NetworkManager: <info>  (ttyUSB2): new CDMA device (driver: 'generic')
Apr  8 15:35:02 localhost NetworkManager: <info>  (ttyUSB2): exported as /org/freedesktop/NetworkManager/Devices/2
Apr  8 15:35:02 localhost NetworkManager: <info>  (ttyUSB2): now managed
Apr  8 15:35:02 localhost NetworkManager: <info>  (ttyUSB2): device state change: 1 -> 2 (reason 2)
Apr  8 15:35:02 localhost NetworkManager: <info>  (ttyUSB2): deactivating device (reason: 2).
Apr  8 15:35:02 localhost NetworkManager: <info>  (ttyUSB2): device state change: 2 -> 3 (reason 0)
Apr  8 15:35:02 localhost NetworkManager: <info>  Activation (ttyUSB2) starting connection 'Bell Wireless CDMA'
Apr  8 15:35:02 localhost NetworkManager: <info>  (ttyUSB2): device state change: 3 -> 4 (reason 0)
Apr  8 15:35:02 localhost NetworkManager: <info>  Activation (ttyUSB2) Stage 1 of 5 (Device Prepare) scheduled...
Apr  8 15:35:02 localhost NetworkManager: <info>  Activation (ttyUSB2) Stage 1 of 5 (Device Prepare) started...
Apr  8 15:35:02 localhost NetworkManager: <info>  Activation (ttyUSB2) Stage 1 of 5 (Device Prepare) complete.
Apr  8 15:35:02 localhost modem-manager: (ttyUSB0) opening serial device...
Apr  8 15:35:02 localhost modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
Apr  8 15:35:02 localhost modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> registered)
Apr  8 15:35:02 localhost modem-manager: Your CDMA modem does not support +CMEE command
Apr  8 15:35:02 localhost modem-manager: (ttyUSB1) opening serial device...
Apr  8 15:35:02 localhost modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (registered -> connecting)
Apr  8 15:35:03 localhost modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (connecting -> connected)
Apr  8 15:35:03 localhost NetworkManager: <info>  Activation (ttyUSB2) Stage 2 of 5 (Device Configure) scheduled...
Apr  8 15:35:03 localhost NetworkManager: <info>  Activation (ttyUSB2) Stage 2 of 5 (Device Configure) starting...
Apr  8 15:35:03 localhost NetworkManager: <info>  (ttyUSB2): device state change: 4 -> 5 (reason 0)
Apr  8 15:35:03 localhost NetworkManager: <info>  Activation (ttyUSB2) Stage 2 of 5 (Device Configure) successful.
Apr  8 15:35:03 localhost NetworkManager: <info>  Activation (ttyUSB2) Stage 3 of 5 (IP Configure Start) scheduled.
Apr  8 15:35:03 localhost NetworkManager: <info>  Activation (ttyUSB2) Stage 2 of 5 (Device Configure) complete.
Apr  8 15:35:03 localhost NetworkManager: <info>  Activation (ttyUSB2) Stage 3 of 5 (IP Configure Start) started...
Apr  8 15:35:03 localhost NetworkManager: <info>  (ttyUSB2): device state change: 5 -> 7 (reason 0)
Apr  8 15:35:03 localhost NetworkManager: <info>  Starting pppd connection
Apr  8 15:35:03 localhost NetworkManager: <info>  Activation (ttyUSB2) Stage 4 of 5 (IP6 Configure Get) scheduled...
Apr  8 15:35:03 localhost NetworkManager: <info>  Activation (ttyUSB2) Stage 3 of 5 (IP Configure Start) complete.
Apr  8 15:35:03 localhost NetworkManager: <info>  Activation (ttyUSB2) Stage 4 of 5 (IP6 Configure Get) started...
Apr  8 15:35:03 localhost NetworkManager: <info>  Activation (ttyUSB2) Stage 4 of 5 (IP6 Configure Get) complete.
Apr  8 15:35:03 localhost pppd[4379]: Warning: can't open options file /root/.ppprc: Permission denied
Apr  8 15:35:03 localhost pppd[4379]: Plugin /usr/lib/pppd/2.4.5/nm-pppd-plugin.so loaded.
Apr  8 15:35:04 localhost kernel: PPP generic driver version 2.4.2
Apr  8 15:35:04 localhost kernel: pppd[4379]: segfault at bf98f2ef ip 00910698 sp bf98ca40 error 6 in libnss_files-2.11.90.so[90a000+c000]
Apr  8 15:35:04 localhost abrt[4383]: saved core dump of pid 4379 (/usr/sbin/pppd) to /var/cache/abrt/ccpp-1270755304-4379.new/coredump (962560 bytes)
Apr  8 15:35:04 localhost abrtd: Directory 'ccpp-1270755304-4379' creation detected
Apr  8 15:35:04 localhost NetworkManager: <WARN>  ppp_watch_cb(): ppp pid 4379 died with signal 11
Apr  8 15:35:04 localhost NetworkManager: <info>  (ttyUSB2): device state change: 7 -> 9 (reason 14)
Apr  8 15:35:04 localhost modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (connected -> disconnecting)
Apr  8 15:35:04 localhost NetworkManager: <info>  Marking connection 'Bell Wireless CDMA' invalid.
Apr  8 15:35:04 localhost NetworkManager: <info>  Activation (ttyUSB2) failed.
Apr  8 15:35:04 localhost NetworkManager: <info>  (ttyUSB2): device state change: 9 -> 3 (reason 0)
Apr  8 15:35:04 localhost NetworkManager: <info>  (ttyUSB2): deactivating device (reason: 0).
Apr  8 15:35:04 localhost abrtd: Crash is in database already (dup of /var/cache/abrt/ccpp-1270754184-6466)
Apr  8 15:35:04 localhost abrtd: Deleting crash ccpp-1270755304-4379 (dup of ccpp-1270754184-6466), sending dbus signal
Apr  8 15:35:05 localhost modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disconnecting -> registered)
Comment 5 Michael J. Chudobiak 2010-04-08 15:42:39 EDT
The above was with:

NetworkManager-0.8.0-4.git20100325.fc13.i686
NetworkManager-pptp-0.7.997-3.git20100120.fc13.i686
NetworkManager-openvpn-0.7.997-1.fc13.i686
NetworkManager-vpnc-0.7.997-1.fc13.i686
NetworkManager-glib-0.8.0-4.git20100325.fc13.i686
ModemManager-0.3-7.git20100405.fc13.i686
NetworkManager-gnome-0.8.0-4.git20100325.fc13.i686
Comment 6 Michael J. Chudobiak 2010-04-08 16:21:27 EDT
See bug 580709 for the pppd crash backtrace.
Comment 7 Dan Williams 2010-04-08 20:21:14 EDT
So it looks like NM is getting as far as it can (connection is made, PPP started) but PPP dies.  Is that correct?  If so, then I don't think there's a bug with NM, just with pppd.
Comment 8 Michael J. Chudobiak 2010-04-09 05:32:58 EDT
Well, the original bug still exists - NM doesn't doesn't detect the modem if it is plugged in at boot time.

I just wanted to report what happened after updating the rpms to the latest ones. The pppd crash (for post-login device insertion) does seem to be a separate issue, and I have filed a separate bug with a backtrace (bug 580709).

- Mike
Comment 9 Michael J. Chudobiak 2010-04-09 08:24:26 EDT
Side note:

The changes to /usr/share/hal/fdi/information/10freedesktop/10-modem.fdi and /lib/udev/rules.d/77-nm-zzz-custom.rules do not appear to be necessary any more. 

The changes to /etc/usb_modeswitch.conf and /etc/udev/rules.d/70-persistent-cd.rules and are still required.

- Mike
Comment 10 Dan Williams 2010-04-23 18:03:53 EDT
Ok, so the issue here is likely mode switching.  You may want to try out the latest usb-modeswitch packages for F12 here:

https://admin.fedoraproject.org/updates/usb_modeswitch-1.1.2-3.fc12

It may be that the rules you manually added don't get run at the right time.
Comment 11 Michael J. Chudobiak 2010-04-26 08:54:48 EDT
Updating usb_modeswitch doesn't help anything. ppp still dies on me as described above and in bug 580709. I have:

ppp-2.4.5-8.fc13.i686
usb_modeswitch-1.1.2-3.fc13.i686
NetworkManager-0.8.0-4.git20100325.fc13.i686

- Mike
Comment 12 Dan Williams 2010-04-29 19:45:32 EDT
Ok, so just to clarify, if you *do* use usb_modeswitch, the device gets recognized, just that pppd segfaults while connecting?

BTW, without usb_modeswitch, how many tty ports does the device expose?  'ls /dev/ttyUSB*' should tell you, but be aware that not all of those may come from the U760 so you may want to check whcih (if any) exist, then plug in, then figure out how many.  Then, if you modeswitch, does the number of ttys provided by the U760 change?
Comment 13 Michael J. Chudobiak 2010-04-30 13:41:58 EDT
I don't think usb_modeswitch is an issue here. I can use usb_modeswitch, or I can use the "old" method of adding "RUN+="/usr/bin/eject %k" to /etc/udev/rules.d/70-persistent-cd.rules to force the U760 out of storage mode and into modem mode.

Either way, pppd segfaults (bug580709).

When I first submitted this bug, pppd did not segfault, but the connection would not activate if the U760 was plugged in at boot time. It was OK if you plugged it in during a user session.

Right now, I don't know if the U760 works if plugged in at at boot time, because the pppd segfault is crippling everything and the connection never works.

Sorry if this is confusing, but that's how the saga is unfolding...

The U760 always exposes ttyUSB0-ttyUSB3.

- Mike
Comment 14 Michael J. Chudobiak 2010-06-01 14:39:34 EDT
OK, I have worked around my pppd segfault. The U760 now works fine if plugged in after login. It still doesn't work if plugged in at boot time.

Some log snippets are below for the device-installed-at-boot case.

I notice that usb_modeswitch is never called in these logs. It is called when the U760 is installed after login. Is that a clue? Why would the udev rule not be called?

- Mike


Jun  1 14:24:36 localhost kernel: usb 2-2: New USB device found, idVendor=1410, idProduct=6000
Jun  1 14:24:36 localhost kernel: usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=4
Jun  1 14:24:36 localhost kernel: usb 2-2: Product: Novatel Wireless CDMA 
Jun  1 14:24:36 localhost kernel: usb 2-2: Manufacturer: Novatel Wireless Inc.
Jun  1 14:24:36 localhost kernel: usb 2-2: SerialNumber: 091128060371000
...
Jun  1 14:24:36 localhost kernel: scsi 2:0:0:0: Direct-Access     Novatel  MMC Storage      2.31 PQ: 0 ANSI: 2
Jun  1 14:24:36 localhost kernel: sd 2:0:0:0: Attached scsi generic sg1 type 0
Jun  1 14:24:36 localhost kernel: sd 2:0:0:0: [sdb] Attached SCSI removable disk
...
Jun  1 14:24:36 localhost kernel: usbcore: registered new interface driver usbserial
Jun  1 14:24:36 localhost kernel: USB Serial support registered for generic
Jun  1 14:24:36 localhost kernel: usbserial_generic 2-2:1.0: generic converter detected
Jun  1 14:24:36 localhost kernel: usb 2-2: generic converter now attached to ttyUSB0
Jun  1 14:24:36 localhost kernel: usbserial_generic 2-2:1.1: generic converter detected
Jun  1 14:24:36 localhost kernel: usb 2-2: generic converter now attached to ttyUSB1
Jun  1 14:24:36 localhost kernel: usbserial_generic 2-2:1.2: generic converter detected
Jun  1 14:24:36 localhost kernel: usb 2-2: generic converter now attached to ttyUSB2
Jun  1 14:24:36 localhost kernel: usbserial_generic 2-2:1.3: generic converter detected
Jun  1 14:24:36 localhost kernel: usb 2-2: generic converter now attached to ttyUSB3
Jun  1 14:24:36 localhost kernel: usbcore: registered new interface driver usbserial_generic
Jun  1 14:24:36 localhost kernel: usbserial: USB Serial Driver core
Jun  1 14:24:36 localhost kernel: USB Serial support registered for GSM modem (1-port)
Jun  1 14:24:36 localhost kernel: usbcore: registered new interface driver option
Jun  1 14:24:36 localhost kernel: option: v0.7.2:USB Driver for GSM modems
...
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> NetworkManager (version 0.8.0.997) is starting...
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> trying to start the modem manager...
Jun  1 14:24:40 localhost NetworkManager[1394]:    ifcfg-rh: Acquired D-Bus service com.redhat.ifcfgrh1
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> Loaded plugin ifcfg-rh: (c) 2007 - 2008 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> Loaded plugin keyfile: (c) 2007 - 2008 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
Jun  1 14:24:40 localhost modem-manager: Loaded plugin AnyData
Jun  1 14:24:40 localhost modem-manager: Loaded plugin Ericsson MBM
Jun  1 14:24:40 localhost modem-manager: Loaded plugin Nokia
Jun  1 14:24:40 localhost modem-manager: Loaded plugin Option
Jun  1 14:24:40 localhost modem-manager: Loaded plugin Gobi
Jun  1 14:24:40 localhost NetworkManager[1394]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-wlan0 ... 
Jun  1 14:24:40 localhost NetworkManager[1394]:    ifcfg-rh:     error: Missing SSID
Jun  1 14:24:40 localhost NetworkManager[1394]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-eth0 ... 
Jun  1 14:24:40 localhost modem-manager: Loaded plugin Huawei
Jun  1 14:24:40 localhost modem-manager: Loaded plugin MotoC
Jun  1 14:24:40 localhost modem-manager: Loaded plugin ZTE
Jun  1 14:24:40 localhost modem-manager: Loaded plugin Novatel
Jun  1 14:24:40 localhost modem-manager: Loaded plugin Option High-Speed
Jun  1 14:24:40 localhost modem-manager: Loaded plugin Sierra
Jun  1 14:24:40 localhost modem-manager: Loaded plugin Longcheer
Jun  1 14:24:40 localhost modem-manager: Loaded plugin Generic
Jun  1 14:24:40 localhost NetworkManager[1394]:    ifcfg-rh:     read connection 'System eth0'
Jun  1 14:24:40 localhost NetworkManager[1394]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ... 
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> found WiFi radio killswitch rfkill1 (at /sys/devices/pci0000:00/0000:00:1c.2/0000:01:00.0/ieee80211/phy0/rfkill1) (driver <unknown>)
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> found WiFi radio killswitch rfkill0 (at /sys/devices/platform/eeepc/rfkill/rfkill0) (driver eeepc)
Jun  1 14:24:40 localhost modem-manager: (ttyUSB0) opening serial device...
Jun  1 14:24:40 localhost modem-manager: (ttyUSB1) opening serial device...
Jun  1 14:24:40 localhost modem-manager: (ttyUSB2) opening serial device...
Jun  1 14:24:40 localhost modem-manager: (ttyUSB3) opening serial device...
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> WiFi enabled by radio killswitch; enabled by state file
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> WWAN enabled by radio killswitch; disabled by state file
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> WiMAX enabled by radio killswitch; enabled by state file
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> Networking is enabled by state file
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> (eth0): carrier is OFF
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> (eth0): new Ethernet device (driver: 'atl2' ifindex: 2)
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> (eth0): exported as /org/freedesktop/NetworkManager/Devices/0
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> (eth0): now managed
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> (eth0): device state change: 1 -> 2 (reason 2)
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> (eth0): preparing device.
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> (eth0): deactivating device (reason: 2).
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> (wlan0): driver supports SSID scans (scan_capa 0x01).
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> (wlan0): new 802.11 WiFi device (driver: 'ath5k' ifindex: 3)
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> (wlan0): exported as /org/freedesktop/NetworkManager/Devices/1
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> (wlan0): now managed
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> (wlan0): device state change: 1 -> 2 (reason 2)
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> (wlan0): preparing device.
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> (wlan0): deactivating device (reason: 2).
Jun  1 14:24:40 localhost NetworkManager[1394]: supplicant_interface_acquire: assertion `mgr_state == NM_SUPPLICANT_MANAGER_STATE_IDLE' failed
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> modem-manager is now available
Jun  1 14:24:40 localhost NetworkManager[1394]: <warn> bluez error getting default adapter: The name org.bluez was not provided by any .service files
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> Trying to start the supplicant...
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> (wlan0): supplicant manager state:  down -> idle
Jun  1 14:24:40 localhost NetworkManager[1394]: <info> (wlan0): device state change: 2 -> 3 (reason 0)
Jun  1 14:24:41 localhost NetworkManager[1394]: <info> (wlan0): supplicant interface state:  starting -> ready
...
Jun  1 14:24:53 localhost modem-manager: (ttyUSB0) closing serial device...
Jun  1 14:24:53 localhost modem-manager: (ttyUSB0) opening serial device...
Jun  1 14:24:53 localhost modem-manager: (ttyUSB1) closing serial device...
Jun  1 14:24:54 localhost modem-manager: (ttyUSB1) opening serial device...
Jun  1 14:24:55 localhost modem-manager: (ttyUSB2) closing serial device...
Jun  1 14:24:55 localhost modem-manager: (ttyUSB2) opening serial device...
Jun  1 14:24:56 localhost modem-manager: (ttyUSB3) closing serial device...
Jun  1 14:24:56 localhost modem-manager: (ttyUSB3) opening serial device...
Jun  1 14:24:57 localhost modem-manager: (ttyUSB1) closing serial device...
Jun  1 14:24:57 localhost modem-manager: do_grab_port: plugin 'Generic' claimed to support tty/ttyUSB1 but couldn't: (-1) (unknown)
Jun  1 14:24:57 localhost polkitd[2365]: started daemon version 0.96 using authority implementation `local' version `0.96'
Jun  1 14:24:58 localhost modem-manager: (ttyUSB2) closing serial device...
Jun  1 14:24:58 localhost modem-manager: do_grab_port: plugin 'Generic' claimed to support tty/ttyUSB2 but couldn't: (-1) (unknown)
...
Jun  1 14:24:59 localhost modem-manager: (ttyUSB0) closing serial device...
...
Jun  1 14:25:02 localhost modem-manager: (ttyUSB3) closing serial device...
Comment 15 Dan Williams 2010-06-28 18:51:22 EDT
Could be that the udev rules for usb_modeswitch aren't quite correct here...
Comment 16 Dan Williams 2010-06-28 18:54:16 EDT
Word on the street has it that perhaps libusb is not yet available at boot time, and usb_modeswitch requires it.  libusb is in /usr/lib and that may not be mounted yet by the time udev triggers these rules?  Just a thought.
Comment 17 Michael J. Chudobiak 2010-07-05 15:46:58 EDT
Did those hoopy froods on the street say how that could be fixed?
Comment 18 Josua Dietze 2010-08-21 15:59:02 EDT
Previous versions of usb_modeswitch were not boot-proof at all.
Most energy went into making devices usable after plugging into a running system.

I believe the new version 1.1.4 is working well at boot time now. I added a waiting loop which checks if the /usr tree is up and fixed the wrapper script to get along with a read-only file system. Yes, I should have done that earlier ...

It goes without saying that the RUN action of usb_modeswitch returns immediately (as it always did) and all further processing steps are detached so any waiting before and during the switching process is not blocking rule evaluation in any way.

I tested extensively with Fedora 13 and five other distributions.

Josua Dietze
Comment 19 Bug Zapper 2011-06-02 11:34:15 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Bug Zapper 2011-06-27 11:28:55 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.